Skip to main content

DELETE/post_order/document/{document_id}

This method deletes a previously uploaded document by its document ID. Only documents in SUBMITTED state can be removed; documents in the PUBLISHED state cannot be deleted.

Note: This method is currently restricted and requires a special OAuth scope not available to all users.

Note: After a document is uploaded (but not yet published), its status is SUBMITTED. When its identifier is associated with a post‑order entity through an eBay GraphQL mutation, the status changes to PUBLISHED. A post-order entity is part of eBay's order management for activities after purchase (such as returns).

Important! All documents, whether submitted or published, expire and become inaccessible after their expiration date.

Input

Resource URI

DELETE https://apiz.ebay.com/commerce/media/v1_beta/post_order/document/{document_id}

This method is supported in Sandbox environment. To access the endpoint, just replace the apiz.ebay.com root URI with apiz.sandbox.ebay.com

URI parameters

ParameterTypeDescription
document_idstringThis path parameter is the unique identifier of the document associated with the file to be deleted. This ID was returned in the Location response header when calling the uploadPostOrderDocument method to upload the document.

Occurrence: Required

HTTP request headers

All requests made to eBay REST operations require you to provide the Authorization HTTP header for authentication authorization.

All other standard RESTful request headers are optional. For more information on standard RESTful request headers, see the HTTP request headers- opens rest request components page table.

OAuth scope

This request requires an access token created with the authorization code grant flow, using one or more scopes from the following list (please check your Application Keys page for a list of OAuth scopes available to your application):

https://api.ebay.com/oauth/api_scope/commerce.post_order.document

See OAuth access tokens for more information.

Request payload

This call has no payload.

Request fields

This call has no field definitions.

Output

HTTP response headers

This call has no response headers.

Response payload

This call has no payload.

Response fields

This call has no field definitions.

HTTP status codes

This call can return one of the following HTTP status codes. For an overview of the status codes, see HTTP status codes in Using eBay RESTful APIs.

StatusMeaning
204No Content
400Bad Request
401Unauthorized
404Not Found
500Internal Server Error

Error codes

For more on errors, plus the codes of other common errors, see Handling errors.

CodeDomainCategoryMeaning
190000API_MEDIAAPPLICATIONThere was a problem with an eBay internal system or process. Contact eBay developer support for assistance.
190013API_MEDIAREQUESTUnauthorized access.
190301API_MEDIAREQUESTInvalid document identifier supplied in the request.
190302API_MEDIAREQUESTThe document is no longer available because it has expired.
190308API_MEDIAREQUESTThe document identifier is missing from the request.

Warnings

This call has no warnings.

Samples

New to making API calls? Please see Making a Call.

Note: Identifiers, such as order IDs or user IDs, and personal data in these samples might be anonymized or may no longer be active on eBay. If necessary, substitute current, relevant eBay data in your requests.

Sample 1: Delete a post-order document

This sample deletes the document with the specified documentId 1*******-**********d5.

Input

The input is document_id. There is no payload with this request.

DELETEhttps://apiz.ebay.com/commerce/media/v1_beta/post_order/document/1*******-**********d5

Output

If the call is successful, the document is deleted.